Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

having a problem installing git on redhat enterprise 3. When I try and install the rpm it gives a circular dependency problem.

[root@tflaus001 tmp]# rpm -i git-1.5.2.1-1.el3.rf.i386.rpm
warning: git-1.5.2.1-1.el3.rf.i386.rpm: V3 DSA signature: NOKEY, key ID 6b8d79e6
error: Failed dependencies:
    perl(Git) is needed by git-1.5.2.1-1.el3.rf


[root@tflaus001 tmp]# rpm -i perl-Git-1.5.2.1-1.el3.rf.i386.rpm
warning: perl-Git-1.5.2.1-1.el3.rf.i386.rpm: V3 DSA signature: NOKEY, key ID 6b8d79e6
error: Failed dependencies:
    git = 1.5.2.1-1.el3.rf is needed by perl-Git-1.5.2.1-1.el3.rf
    perl(Error) is needed by perl-Git-1.5.2.1-1.el3.rf

can anyone give me an idea of how to fix this or what I need to add to yum.conf to fix this?

share|improve this question

2 Answers 2

up vote 1 down vote accepted

Install both at the same time, i.e.

rpm -i git-1.5.2.1-1.el3.rf.i386.rpm perl-Git-1.5.2.1-1.el3.rf.i386.rpm

An alternative is to use yum localinstall some-package-...rpm where yum will resolve and download any missing dependencies (but in this case you do not need that since you obviously have the two packages you need already).

share|improve this answer
# rpm -ivh git-1.5.2.1-1.el3.rf.i386.rpm perl-Git-1.5.2.1-1.el3.rf.i386.rpm

or you can install DAG repo yum install git*

yum install rhel 3 how to

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.